Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kHttpServerRequest Class Reference
kApi/Io

## Description

Supports HTTP server request parsing.

Inheritance diagram for kHttpServerRequest:

## Public Member Functions
kStatus | kHttpServerRequest_BeginRead (kHttpServerRequest request, k64u *length, kStream *stream)
| Begins reading the message body. More...
k64s | kHttpServerRequest_ContentLength (kHttpServerRequest request)
| Reports the total message length for a simple (non-chunk-encoded) message. More...
const kChar * | kHttpServerRequest_FindHeaderValue (kHttpServerRequest request, const kChar *name)
| Finds the header field value associated with the given header field name, if present. More...
kPointer | kHttpServerRequest_FirstHeader (kHttpServerRequest request)
| Gets a reference to the first header. More...
kBool | kHttpServerRequest_HasBody (kHttpServerRequest request)
| Reports whether the request has an associated message body. More...
kSize | kHttpServerRequest_HeaderCount (kHttpServerRequest request)
| Returns the total count of headers parsed from this request. More...
const kChar * | kHttpServerRequest_HeaderName (kHttpServerRequest request, kPointer header)
| Gets the field name associated with a header reference. More...
const kChar * | kHttpServerRequest_HeaderValue (kHttpServerRequest request, kPointer header)
| Gets the field value associated with a header reference. More...
kBool | kHttpServerRequest_IsChunkCoded (kHttpServerRequest request)
| Reports whether the message body is chunk-encoded. More...
const kChar * | kHttpServerRequest_Method (kHttpServerRequest request)
| Returns a string representing the HTTP request method (e.g. More...
kPointer | kHttpServerRequest_NextHeader (kHttpServerRequest request, kPointer header)
| Given a header reference, gets a reference to the next header. More...
const kChar * | kHttpServerRequest_Uri (kHttpServerRequest request)
| Returns a string representing the HTTP request URI (/resources/page.html). More...
const kChar * | kHttpServerRequest_UriPath (kHttpServerRequest request)
| Returns a string representing the HTTP request URI in absolute path form (/resources/page.html). More...
kVersion | kHttpServerRequest_Version (kHttpServerRequest request)
| Returns a value representing the HTTP version associated with this request. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Related inherited from kObject
#define | kObject_Type_(OBJ) kxObject_Type_(OBJ)
| Macro version of kObject_Type.
#define | kObject_Is_(OBJ, TYPE) kxObject_Is_(OBJ, TYPE)
| Macro version of kObject_Is.
#define | kObject_Alloc_(OBJ) kxObject_Allocator_(OBJ)
| Macro version of kObject_Alloc.

The documentation for this class was generated from the following file:

- Io/kHttpServerRequest.h